Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdConfig.DateTime

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig.DateTime

Enclosing class:
  cmdConfig

    public static class cmdConfig.DateTime
    extends cmdConfig

Maintenance date and time of fiscal devices

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig

  `cmdConfig.DateTime, cmdConfig.HeaderFooter, cmdConfig.MainInterfaceType`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DateTime()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDate()` | return Date in format: "DD-MM-YY"; throws IOException, FiscalException
  `java.lang.String` | `getDateTime()` | return Date and time in format: "DD-MM-YY hh:mm:ss DST"; throws IOException, FiscalException
  `java.lang.String` | `getTime()` | return Time in format: "hh:mm:ss DST" throws IOException, FiscalException
  `void` | `setDateTime​(java.lang.String dateTime)` | Set date and time The command can be executed only one time after daily Z report.
  `void` | `setDateTime​(java.lang.String date, java.lang.String time)` | Set date and time The command can be executed only one time after daily Z report.

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdConfig

  `GetAPN, GetAPN_Pass, GetAPN_User, GetAutoPowerOff, GetBarcodeHeight, GetBarcodePrint, GetBkLightAutoOff, GetBoldPayments, GetCondensedPrint, GetDHCPenable, GetDoveritelPrint, GetDuplicateRec, GetEcrConnectedCashReport, GetEcrConnectedGroupsReport, GetEcrExtendedReceipt, GetEcrPluDailyClearing, GetEcrSafeOpening, GetEmptyLineAfterTotal, GetForeignPrint, GetIMEI, GetInvoiceInterval, GetLANGateway, GetLANIP, GetLanMAC, GetLANNetMask, GetLANport, GetLANPriDNS, GetLANSecDNS, GetLogoPrint, GetMainInterfaceType, GetModemModel, GetNearPaperEndEnabled, GetPrintColumns, GetPrintColumnsSupported, GetPrnQuality, GetSimICCID, GetSimIMSI, GetSimPin, GetSimTelNumber, GetVatPrint, Logo_DataLoading, Logo_Restart, Logo_StartLoading, Logo_StopLoading, Logo_Updtae, SetAPN, SetAPN_Passr, SetAPN_User, SetAutoPaperCutting, SetAutoPowerOff, SetAutoPowerOff, SetBarcodeHeight, SetBarCodeHeight, SetBarcodeName, SetBarcodePrint, SetBkLightAutoOff, SetBoldPayments, SetBthDiscoverability, SetBthPairing, SetBthPinCode, SetCondensedPrint, SetCurrNameForeign, SetCurrNameLocal, SetDeptName, SetDeptPrice, SetDeptVAT, SetDHCPenable, SetDoveritelPrint, SetDsblKeyCancelReceipt, SetDsblKeyCloseReceipt, SetDsblKeyDateTime, SetDsblKeyDiagnostics, SetDsblKeyFmReports, SetDsblKeyJournal, SetDsblKeyXreport, SetDsblKeyZreport, SetDuplicateRec, SetEcrConnectedCashReport, SetEcrConnectedDeptReport, SetEcrConnectedGroupsReport, SetEcrConnectedOperReport, SetEcrExtendedReceipt, SetEcrMidnightWarning, SetEcrPluDailyClearing, SetEcrSafeOpening, SetEmptyLineAfterTotal, SetExchangeRate, SetExInvoiceInterval, SetForeignPrint, SetFpComBaudRate, SetInvoiceInterval, SetLANGateway, SetLANIP, SetLanMAC, SetLANNetMask, SetLANport, SetLANPriDNS, SetLANSecDNS, SetLogoPrint, SetMainInterfaceType, SetModemModel, SetNearPaperEndEnabled, SetOperName, SetOperPasw, SetPaperCuttingType, SetPaymentForbidden, SetPayName, SetPrintColumns, SetPrnQuality, SetServiceDate, SetServMessage, SetSimPin, SetUnitname, SetVatPrintEnable, Stamp_DataLoading, Stamp_Operation, Stamp_Restart, Stamp_StartLoading, Stamp_StopLoading, Stamp_Updtae`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateTime

    public DateTime()

- ## Method Details

  - ### getDateTime

    public java.lang.String getDateTime() throws FiscalException, java.io.IOException
    return Date and time in format: "DD-MM-YY hh:mm:ss DST"; throws IOException, FiscalException
    Throws:
      `FiscalException`
      `java.io.IOException`

  - ### getDate

    public java.lang.String getDate() throws java.io.IOException, FiscalException
    return Date in format: "DD-MM-YY"; throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### getTime

    public java.lang.String getTime() throws java.io.IOException, FiscalException
    return Time in format: "hh:mm:ss DST" throws IOException, FiscalException
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### setDateTime

    public void setDateTime​(java.lang.String date, java.lang.String time) throws java.io.IOException, FiscalException, java.text.ParseException
    Set date and time The command can be executed only one time after daily Z report.

    param date Date in format: DD-MM-YY param time Time in format: hh:mm:ss DST throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.text.ParseException`

  - ### setDateTime

    public void setDateTime​(java.lang.String dateTime) throws java.io.IOException, FiscalException, java.text.ParseException
    Set date and time The command can be executed only one time after daily Z report.

    param dateTime Date in format: DD-MM-YY hh:mm:ss DST throws IOException, FiscalException

    Throws:
      `java.io.IOException`
      `FiscalException`
      `java.text.ParseException`